%define oname xapian
%define major 22
%define libname %mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Summary:	Search engine library
Name:		xapian-core
Version:	1.2.23
Release:	1
License:	GPLv2+
Group:		Databases
Url:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.xz
%ifarch x86_64
BuildRequires:	chrpath
%endif
BuildRequires:	valgrind
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)
Requires:	%{libname} = %{EVRD}
Obsoletes:	xapian < 1.0.7
Provides:	xapian = %{EVRD}

%description
Xapian is an Open Source Search Engine Library, released under the GPL. It's
written in C++, with bindings to allow use from Perl, Python, PHP, Java, Tcl,
C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily add
advanced indexing and search facilities to their own applications. It supports
the Probabilistic Information Retrieval model and also supports a rich set of
boolean query operators.

%files
%{_bindir}/copydatabase
%{_bindir}/delve
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-*
%exclude %{_bindir}/xapian-config
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}xapian15 < 1.2.2

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libxapian.so.%{major}*

#----------------------------------------------------------------------------

%package  -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	%{oname}-devel = %{EVRD}
Provides:	lib%{oname}-devel = %{EVRD}

%description -n %{devname}
Development files and headers for %{name}.

%files -n %{devname}
%doc %{_docdir}/%{name}/
%dir %{_includedir}/xapian
%{_bindir}/xapian-config
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian/*.cmake
%{_libdir}/pkgconfig/xapian-core.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
%ifarch x86_64
	--enable-sse \
%else
	--disable-sse \
%endif
	--enable-shared \
	--disable-static
%make

%install
%makeinstall_std
%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/copydatabase
chrpath -d %{buildroot}%{_bindir}/delve
chrpath -d %{buildroot}%{_bindir}/quest
chrpath -d %{buildroot}%{_bindir}/simpleexpand
chrpath -d %{buildroot}%{_bindir}/simpleindex
chrpath -d %{buildroot}%{_bindir}/simplesearch
chrpath -d %{buildroot}%{_bindir}/xapian-compact
chrpath -d %{buildroot}%{_bindir}/xapian-progsrv
chrpath -d %{buildroot}%{_bindir}/xapian-tcpsrv
chrpath -d %{buildroot}%{_bindir}/xapian-check
chrpath -d %{buildroot}%{_bindir}/xapian-inspect
chrpath -d %{buildroot}%{_bindir}/xapian-replicate-server
chrpath -d %{buildroot}%{_bindir}/xapian-chert-update
chrpath -d %{buildroot}%{_bindir}/xapian-metadata
chrpath -d %{buildroot}%{_bindir}/xapian-replicate
%endif


%changelog

* Mon Apr 25 2016 Denis Silakov <dsilakov@gmail.com> 1.2.23-1
- (cbeaf6f) Updated to 1.2.23


